# Uses of Class
javassist.bytecode.analysis.ControlFlow.Node

Packages that use ControlFlow.Node
Package
Description
javassist.bytecode.analysis
Bytecode Analysis API.

## Uses of ControlFlow.Node in javassist.bytecode.analysis

Methods in javassist.bytecode.analysis that return ControlFlow.Node
Modifier and Type
Method
Description
`ControlFlow.Node`
ControlFlow.Node.`child(int n)`
Returns the n-th child of this node.
`ControlFlow.Node[]`
ControlFlow.`dominatorTree()`
Constructs a dominator tree.
`ControlFlow.Node`
ControlFlow.Node.`parent()`
Returns the parent of this node.
`ControlFlow.Node[]`
ControlFlow.`postDominatorTree()`
Constructs a post dominator tree.